Table of Contents

Class: ExecutionError | eric3/Scripting/ScriptManager.py
--- | ---

Class implementing an exception, which is raised, if a script couldn't be executed.

Base Classes |
--- | ---

ScriptError

Exception

Methods |
--- | ---
__init__ __repr__ __str__
| __init__

    __init__ ( self,  error )

Constructor

| __repr__

    __repr__ ( self )

### Private method returning a representation of the exception.

#### Returns

string representing the error message

| __str__

    __str__ ( self )

### Private method returning a string representation of the exception.

#### Returns

string representing the error message

Table of Contents

This document was automatically generated by HappyDoc version 2.1